Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLTab

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLTab

public class DHTMLTab
extends DHTMLElement

Version:
  PUBLIC

Field Summary
`protected boolean` | `alwaysActive`
`protected java.lang.String` | `disabledHint`
`protected boolean` | `enabled`
`protected java.lang.String` | `hint`
`protected java.lang.String` | `iconObj`
`protected java.lang.String` | `name`
`protected java.lang.String` | `text`
`protected java.lang.String` | `url`
`protected boolean` | `visible`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLTab()`
`DHTMLTab(java.lang.String name)`

Method Summary
`boolean` | `getAlwaysActive()`
`java.lang.String` | `getDisabledHint()`
`boolean` | `getEnabled()`
`java.lang.String` | `getHint()`
`java.lang.String` | `getIconObject()`
`java.lang.String` | `getName()`
`java.lang.String` | `getText()`
`java.lang.String` | `getUrl()`
`boolean` | `getVisible()`
`void` | `render(java.io.PrintWriter out)`
`void` | `setAlwaysActive(boolean alwaysActive)`
`void` | `setDisabledHint(java.lang.String disabledHint)`
`void` | `setEnabled(boolean enabled)`
`void` | `setHint(java.lang.String hint)`
`void` | `setIconObject(java.lang.String iconObj)`
`void` | `setName(java.lang.String name)`
`void` | `setText(java.lang.String text)`
`void` | `setUrl(java.lang.String url)`
`void` | `setVisible(boolean visible)`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### text

    protected java.lang.String text

### hint

    protected java.lang.String hint

### disabledHint

    protected java.lang.String disabledHint

### url

    protected java.lang.String url

### enabled

    protected boolean enabled

### visible

    protected boolean visible

### alwaysActive

    protected boolean alwaysActive

### iconObj

    protected java.lang.String iconObj

Constructor Detail

### DHTMLTab

    public DHTMLTab()

### DHTMLTab

    public DHTMLTab(java.lang.String name)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setText

    public void setText(java.lang.String text)

### getText

    public java.lang.String getText()

### setHint

    public void setHint(java.lang.String hint)

### getHint

    public java.lang.String getHint()

### setDisabledHint

    public void setDisabledHint(java.lang.String disabledHint)

### getDisabledHint

    public java.lang.String getDisabledHint()

### setUrl

    public void setUrl(java.lang.String url)

### getUrl

    public java.lang.String getUrl()

### setEnabled

    public void setEnabled(boolean enabled)

### getEnabled

    public boolean getEnabled()

### setVisible

    public void setVisible(boolean visible)

### getVisible

    public boolean getVisible()

### setAlwaysActive

    public void setAlwaysActive(boolean alwaysActive)

### getAlwaysActive

    public boolean getAlwaysActive()

### setIconObject

    public void setIconObject(java.lang.String iconObj)

### getIconObject

    public java.lang.String getIconObject()

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD